Bug 1638988 - embed/automate upgrade time genconfig steps within gluster-block
Summary: embed/automate upgrade time genconfig steps within gluster-block
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-block
Version: ocs-3.11
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: OCS 3.11
Assignee: Prasanna Kumar Kalever
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 1629581 1637688
TreeView+ depends on / blocked
 
Reported: 2018-10-13 19:52 UTC by Prasanna Kumar Kalever
Modified: 2019-02-08 07:07 UTC (History)
15 users (show)

Fixed In Version: gluster-block-0.2.1-28.el7rhgs
Doc Type: Bug Fix
Doc Text:
Block volumes created on CNS version 3.9 or below use default Asymmetric Logical Unit Access (alua) group setting at target side configuration. These are meant to be used with 'prio const' at the initiator side multipath.conf. After upgrading OCS to 3.10 or above, the new recommendation at multipath is 'prio alua'. Old block volume having target side alua group set to default are not compatible with newly recommended multipath.conf. Hence, to maintain compatibility of old block volumes with the new multipath.conf recommendation, the default alua group should be changed to glfs alua group. With this update, the block volume target configuration is generated automatically as part of the upgrade to fix the comparability issue. And Hence, the compatibility of old block volume with the new multipath.conf recommendation is maintained.
Clone Of:
Environment:
Last Closed: 2018-10-24 04:52:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2987 None None None 2018-10-24 04:54:38 UTC

Description Prasanna Kumar Kalever 2018-10-13 19:52:52 UTC
Description of problem:

At OCS-3.11 it was decided to include genconfig steps as part of upgrade time guidelines [1]. But we fear that users might miss this step.

Hence we want to run genconfig command as part of guluster-blockd systemd units ExecStartPost option.


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1633499

Comment 18 Anjana KD 2018-10-23 09:37:47 UTC
@prasanna I have updated the doc text based on our discussion.

Comment 19 Prasanna Kumar Kalever 2018-10-23 09:44:54 UTC
(In reply to Anjana from comment #18)
> @prasanna I have updated the doc text based on our discussion.

LGTM, thanks Anjana!

Comment 21 errata-xmlrpc 2018-10-24 04:52:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2987

Comment 24 RamaKasturi 2019-02-08 07:07:25 UTC
Setting the qe_test_coverage flag as '-' as this looks like umbrella bug based on comment 16.


Note You need to log in before you can comment on or make changes to this bug.